// ==========================================================================
// GFast自动生成service操作代码。
// 生成日期：2023-01-31 09:33:48
// 生成路径: internal/app/cms/service/cms_category.go
// 生成人：yxf
// desc:文章分类
// company:云南奇讯科技有限公司
// ==========================================================================

package service

import (
	"context"
	"github.com/tiger1103/gfast/v3/api/v1/cms"
	"github.com/tiger1103/gfast/v3/internal/app/cms/model"
)

type ICmsCategory interface {
	List(ctx context.Context, req *cms.CmsCategorySearchReq) (res *cms.CmsCategorySearchRes, err error)
	GetById(ctx context.Context, Id uint) (res *model.CmsCategoryInfoRes, err error)
	Add(ctx context.Context, req *cms.CmsCategoryAddReq) (err error)
	Edit(ctx context.Context, req *cms.CmsCategoryEditReq) (err error)
	Delete(ctx context.Context, Id []uint) (err error)
	GetChildrenIds(ctx context.Context, ids []uint) (returnIds []uint, err error)
}

var localCmsCategory ICmsCategory

func CmsCategory() ICmsCategory {
	if localCmsCategory == nil {
		panic("implement not found for interface ICmsCategory, forgot register?")
	}
	return localCmsCategory
}

func RegisterCmsCategory(i ICmsCategory) {
	localCmsCategory = i
}
